# Copyright 2021-2022 Fairphone B.V.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

# Inherit makefile to build and include all proprietary applications
$(call inherit-product-if-exists, vendor/fairphone/proprietary-apps/device-vendor.mk)


DEVICE_PACKAGE_OVERLAYS += \
	vendor/fairphone/fp3-common/overlay

PRODUCT_PACKAGES += \
	WallpaperPicker

# Ringtones
PRODUCT_COPY_FILES += \
	vendor/fairphone/media/ringtones/Sunbeam.mp3:$(TARGET_COPY_OUT_PRODUCT)/media/audio/ringtones/Sunbeam.mp3

PRODUCT_PROPERTY_OVERRIDES += ro.config.ringtone=Sunbeam.mp3

# Build other dependencies
# Audio
PRODUCT_PACKAGES += \
	libOmxG711Enc \
	liba2dpoffload \
	libaudiohal \
	libaudiohal_deathhandler \
	libbatterylistener \
	libcirrusspkrprot \
	libcomprcapture \
	libexthwplugin \
	libhdmiedid \
	libhfp \
	libmediaplayerservice \
	libnbaio \
	libsndmonitor \
	libspkrprot \
	libstagefright_httplive

# Display
PRODUCT_PACKAGES += \
	vendor.display.config@1.8

# Fstman
PRODUCT_PACKAGES += \
	vendor.qti.hardware.fstman@1.0.vendor

# GPS
PRODUCT_PACKAGES += \
	gnss_antenna_info.conf \
	liblocation_api

# Oemaids
PRODUCT_PACKAGES += \
	liboemaids_system \
	liboemaids_vendor

# Others
PRODUCT_PACKAGES += \
	liblogwrap \
	libminui \
	libstagefright_enc_common \
	libtextclassifier

# Radio
PRODUCT_PACKAGES += \
	android.hardware.radio@1.4 \
	android.hardware.radio.config@1.0 \
	android.hardware.radio.deprecated@1.0 \
	liblz4

